## Index

### Classes

- LambdaLayer
- TensorScriptModelInterface

### Interfaces

- NestedArray
- TensorScriptContext
- TensorScriptLSTMModelContext
- TensorScriptModelContext

### Type aliases

- Calculation
- Corpus
- DenseLayer
- EpochLog
- Features
- InputTextArray
- LambdaLayerOptions
- Matrix
- PredictionOptions
- Shape
- TensorScriptLayers
- TensorScriptOptions
- TensorScriptProperties
- TensorScriptSavedLayers
- Vector

### Functions

- asyncForEach

## Type aliases

### Calculation

Calculation: { data: () => Promise<Vector> }

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/model_interface.ts:130

#### Type declaration

- ##### data: () => Promise<Vector>

  - - (): Promise<Vector>

    - #### Returns Promise<Vector>

### Corpus

Corpus: Array<Features>

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/model_interface.ts:125

### DenseLayer

DenseLayer: { activation?: undefined | string; batchInputShape?: any; inputDim?: undefined | number; inputLength?: undefined | number; inputShape?: any; kernelInitializer?: undefined | string; kernelRegularizer?: any; lambdaFunction?: undefined | string; lambdaOutputShape?: Matrix | Vector; outputDim?: undefined | number; returnSequences?: undefined | false | true; units?: undefined | number }

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/model_interface.ts:38

#### Type declaration

- ##### Optional activation?: undefined | string

- ##### Optional batchInputShape?: any

- ##### Optional inputDim?: undefined | number

- ##### Optional inputLength?: undefined | number

- ##### Optional inputShape?: any

- ##### Optional kernelInitializer?: undefined | string

- ##### Optional kernelRegularizer?: any

- ##### Optional lambdaFunction?: undefined | string

- ##### Optional lambdaOutputShape?: Matrix | Vector

- ##### Optional outputDim?: undefined | number

- ##### Optional returnSequences?: undefined | false | true

- ##### Optional units?: undefined | number

### EpochLog

EpochLog: { loss: number }

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/model_interface.ts:62

#### Type declaration

- ##### loss: number

### Features

Features: Array<string | number>

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/model_interface.ts:124

### InputTextArray

InputTextArray: Array<string>

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/model_interface.ts:118

### LambdaLayerOptions

LambdaLayerOptions: { lambdaFunction: string; lambdaOutputShape?: Matrix | Vector; name?: undefined | string }

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/model_interface.ts:134

#### Type declaration

- ##### lambdaFunction: string

- ##### Optional lambdaOutputShape?: Matrix | Vector

- ##### Optional name?: undefined | string

### Matrix

Matrix: Vector[]

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/model_interface.ts:122

### PredictionOptions

PredictionOptions: { json?: undefined | false | true; probability?: undefined | false | true; skip_matrix_check?: undefined | false | true }

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/model_interface.ts:112

#### Type declaration

- ##### Optional json?: undefined | false | true

- ##### Optional probability?: undefined | false | true

- ##### Optional skip_matrix_check?: undefined | false | true

### Shape

Shape: Array<number> | number

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/model_interface.ts:120

### TensorScriptLayers

TensorScriptLayers: DenseLayer[]

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/model_interface.ts:55

### TensorScriptOptions

TensorScriptOptions: { PAD?: undefined | string; compile?: undefined | { loss?: undefined | string; optimizer?: undefined | string }; embedSize?: undefined | number; features?: undefined | number; fit?: undefined | { batchSize?: undefined | number; callbacks?: undefined | { onBatchBegin?: undefined | ((batch: number, logs: EpochLog) => void); onBatchEnd?: undefined | ((batch: number, logs: EpochLog) => void); onEpochBegin?: undefined | ((epoch: number, logs: EpochLog) => void); onEpochEnd?: undefined | ((epoch: number, logs: EpochLog) => void); onTrainBegin?: undefined | ((logs: EpochLog) => void); onTrainEnd?: undefined | ((logs: EpochLog) => void); onYield?: undefined | ((epoch: number, batch: number, logs: EpochLog) => void) }; epochs?: undefined | number; shuffle?: undefined | false | true; validationData?: [Matrix, Matrix]; validation_data?: [Matrix, Matrix]; verbose?: undefined | number }; layerPreference?: undefined | string; layers?: TensorScriptLayers | TensorScriptSavedLayers; learningRate?: undefined | number; lookback?: undefined | number; mulitpleTimeSteps?: undefined | false | true; outputs?: undefined | number; stateful?: undefined | false | true; timeSteps?: undefined | number; type?: undefined | string; windowSize?: undefined | number }

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/model_interface.ts:65

#### Type declaration

- ##### Optional PAD?: undefined | string

- ##### Optional compile?: undefined | { loss?: undefined | string; optimizer?: undefined | string }

- ##### Optional embedSize?: undefined | number

- ##### Optional features?: undefined | number

- ##### Optional fit?: undefined | { batchSize?: undefined | number; callbacks?: undefined | { onBatchBegin?: undefined | ((batch: number, logs: EpochLog) => void); onBatchEnd?: undefined | ((batch: number, logs: EpochLog) => void); onEpochBegin?: undefined | ((epoch: number, logs: EpochLog) => void); onEpochEnd?: undefined | ((epoch: number, logs: EpochLog) => void); onTrainBegin?: undefined | ((logs: EpochLog) => void); onTrainEnd?: undefined | ((logs: EpochLog) => void); onYield?: undefined | ((epoch: number, batch: number, logs: EpochLog) => void) }; epochs?: undefined | number; shuffle?: undefined | false | true; validationData?: [Matrix, Matrix]; validation_data?: [Matrix, Matrix]; verbose?: undefined | number }

- ##### Optional layerPreference?: undefined | string

- ##### Optional layers?: TensorScriptLayers | TensorScriptSavedLayers

- ##### Optional learningRate?: undefined | number

- ##### Optional lookback?: undefined | number

- ##### Optional mulitpleTimeSteps?: undefined | false | true

- ##### Optional outputs?: undefined | number

- ##### Optional stateful?: undefined | false | true

- ##### Optional timeSteps?: undefined | number

- ##### Optional type?: undefined | string

- ##### Optional windowSize?: undefined | number

### TensorScriptProperties

TensorScriptProperties: { model?: any; tf?: any }

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/model_interface.ts:33

#### Type declaration

- ##### Optional model?: any

- ##### Optional tf?: any

### TensorScriptSavedLayers

TensorScriptSavedLayers: { denseLayers?: DenseLayer[]; lstmLayers?: DenseLayer[]; rnnLayers?: DenseLayer[] }

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/model_interface.ts:56

#### Type declaration

- ##### Optional denseLayers?: DenseLayer[]

- ##### Optional lstmLayers?: DenseLayer[]

- ##### Optional rnnLayers?: DenseLayer[]

### Vector

Vector: number[]

- Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/model_interface.ts:121

## Functions

### asyncForEach

- asyncForEach(array: Array<any>, callback: (item: any, index: number, arr: Array<any>) => Promise<any>): Promise<void>

- - Defined in Users/yawjosephetse/Developer/github/repetere/modelx-model/src/model_interface.ts:569

  #### Parameters

  - ##### array: Array<any>

  - ##### callback: (item: any, index: number, arr: Array<any>) => Promise<any>

    - - (item: any, index: number, arr: Array<any>): Promise<any>

      - #### Parameters

        - ##### item: any

        - ##### index: number

        - ##### arr: Array<any>

        #### Returns Promise<any>

  #### Returns Promise<void>